Index: issm/trunk/src/c/bamg/Mesh.cpp
===================================================================
--- issm/trunk/src/c/bamg/Mesh.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/Mesh.cpp	(revision 18301)
@@ -13,6 +13,5 @@
 
 	/*Constructors/Destructors*/
-	/*FUNCTION Mesh::Mesh(BamgGeom* bamggeom,BamgMesh* bamgmesh, BamgOpts* bamgopts){{{*/
-	Mesh::Mesh(BamgGeom* bamggeom,BamgMesh* bamgmesh, BamgOpts* bamgopts):Gh(*(new Geometry())),BTh(*this){ 
+	Mesh::Mesh(BamgGeom* bamggeom,BamgMesh* bamgmesh, BamgOpts* bamgopts):Gh(*(new Geometry())),BTh(*this){ /*{{{*/
 
 		/*Initialize fields*/
@@ -43,6 +42,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::Mesh(int* index,double* x,double* y,int nods,int nels){{{*/
-	Mesh::Mesh(int* index,double* x,double* y,int nods,int nels):Gh(*(new Geometry())),BTh(*this){
+	Mesh::Mesh(int* index,double* x,double* y,int nods,int nels):Gh(*(new Geometry())),BTh(*this){/*{{{*/
 
 		Init(0);
@@ -52,11 +50,9 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::Mesh(double* x,double* y,int nods){{{*/
-	Mesh::Mesh(double* x,double* y,int nods):Gh(*(new Geometry())),BTh(*this){
+	Mesh::Mesh(double* x,double* y,int nods):Gh(*(new Geometry())),BTh(*this){/*{{{*/
 		Triangulate(x,y,nods);
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::Mesh(const Mesh & Tho,const int *flag ,const int *bb){{{*/
-	Mesh::Mesh(const Mesh & Tho,const int *flag ,const int *bb,BamgOpts* bamgopts) : Gh(*(new Geometry())), BTh(*this) {
+	Mesh::Mesh(const Mesh & Tho,const int *flag ,const int *bb,BamgOpts* bamgopts) : Gh(*(new Geometry())), BTh(*this) {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/Triangles)*/
 
@@ -156,6 +152,5 @@
 	  }
 	/*}}}*/
-	/*FUNCTION Mesh::Mesh(Mesh & Th,Geometry * pGh,Mesh * pBth,long maxnbv_in) COPY{{{*/
-	Mesh::Mesh(Mesh & Th,Geometry * pGh,Mesh * pBth,long maxnbv_in)
+	Mesh::Mesh(Mesh & Th,Geometry * pGh,Mesh * pBth,long maxnbv_in)/*{{{*/
 	  : Gh(*(pGh?pGh:&Th.Gh)), BTh(*(pBth?pBth:this)) {
 		  /*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/Triangles)*/
@@ -219,18 +214,15 @@
 	  }
 	/*}}}*/
-	/*FUNCTION Mesh::Mesh(long maxnbv,Mesh & BT,BamgOpts* bamgopts,int keepBackVertices){{{*/
-	Mesh::Mesh(long imaxnbv,Mesh & BT,BamgOpts* bamgopts,int keepBackVertices) :Gh(BT.Gh),BTh(BT) {
+	Mesh::Mesh(long imaxnbv,Mesh & BT,BamgOpts* bamgopts,int keepBackVertices) :Gh(BT.Gh),BTh(BT) {/*{{{*/
 		this->Init(imaxnbv);
 		TriangulateFromGeom1(bamgopts,keepBackVertices);
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::Mesh(long maxnbv,Geometry & G,BamgOpts* bamgopts){{{*/
-	Mesh::Mesh(long imaxnbv,Geometry & G,BamgOpts* bamgopts):Gh(G),BTh(*this){
+	Mesh::Mesh(long imaxnbv,Geometry & G,BamgOpts* bamgopts):Gh(G),BTh(*this){/*{{{*/
 		Init(imaxnbv);
 		TriangulateFromGeom0(bamgopts);
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::~Mesh(){{{*/
-	Mesh::~Mesh() {
+	Mesh::~Mesh() {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/Triangles)*/
 
@@ -259,6 +251,5 @@
 
 	/*IO*/
-	/*FUNCTION Mesh::ReadMesh(int* index,double* x,double* y,int nods,int nels){{{*/
-	void Mesh::ReadMesh(int* index,double* x,double* y,int nods,int nels){
+	void Mesh::ReadMesh(int* index,double* x,double* y,int nods,int nels){/*{{{*/
 
 		long i1,i2,i3;
@@ -322,6 +313,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::ReadMesh(BamgMesh* bamgmesh, BamgOpts* bamgopts){{{*/
-	void Mesh::ReadMesh(BamgMesh* bamgmesh, BamgOpts* bamgopts){
+	void Mesh::ReadMesh(BamgMesh* bamgmesh, BamgOpts* bamgopts){/*{{{*/
 
 		int    verbose;
@@ -525,6 +515,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::WriteMesh {{{*/
-	void Mesh::WriteMesh(BamgMesh* bamgmesh,BamgOpts* bamgopts){
+	void Mesh::WriteMesh(BamgMesh* bamgmesh,BamgOpts* bamgopts){/*{{{*/
 
 		/*Intermediary*/
@@ -952,6 +941,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::ReadMetric{{{*/
-	void Mesh::ReadMetric(const BamgOpts* bamgopts) {
+	void Mesh::ReadMetric(const BamgOpts* bamgopts) {/*{{{*/
 
 		/*Intermediary*/
@@ -990,6 +978,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::WriteMetric{{{*/
-	void Mesh::WriteMetric(BamgOpts* bamgopts) {
+	void Mesh::WriteMetric(BamgOpts* bamgopts) {/*{{{*/
 		int i;
 		xDelete<double>(bamgopts->metric);
@@ -1002,6 +989,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::WriteIndex{{{*/
-	void Mesh::WriteIndex(int** pindex,int* pnels){
+	void Mesh::WriteIndex(int** pindex,int* pnels){/*{{{*/
 
 		/*Intermediary*/
@@ -1042,6 +1028,5 @@
 
 	/*Methods*/
-	/*FUNCTION Mesh::AddGeometryMetric{{{*/
-	void Mesh::AddGeometryMetric(BamgOpts* bamgopts){
+	void Mesh::AddGeometryMetric(BamgOpts* bamgopts){/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Metric.cpp/IntersectGeomMetric)*/
 
@@ -1094,6 +1079,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::AddMetric{{{*/
-	void Mesh::AddMetric(BamgOpts* bamgopts){
+	void Mesh::AddMetric(BamgOpts* bamgopts){/*{{{*/
 		//  Hessiantype = 0 =>  H is computed using double L2 projection
 		//  Hessiantype = 1 =>  H is computed with green formula
@@ -1113,6 +1097,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::AddVertex{{{*/
-	void Mesh::AddVertex( BamgVertex &s,Triangle* t, Icoor2* det3) {
+	void Mesh::AddVertex( BamgVertex &s,Triangle* t, Icoor2* det3) {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/Add)*/
 		// -------------------------------
@@ -1249,6 +1232,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::BoundAnisotropy{{{*/
-	void  Mesh::BoundAnisotropy(double anisomax,double hminaniso) {
+	void  Mesh::BoundAnisotropy(double anisomax,double hminaniso) {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Metric.cpp/BoundAnisotropy)*/
 
@@ -1289,6 +1271,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::BuildGeometryFromMesh{{{*/
-	void Mesh::BuildGeometryFromMesh(BamgOpts* bamgopts){
+	void Mesh::BuildGeometryFromMesh(BamgOpts* bamgopts){/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, MeshGeom.cpp/ConsGeometry)*/
 
@@ -1739,6 +1720,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::BuildMetric0 (double L2 projection){{{*/
-	void Mesh::BuildMetric0(BamgOpts* bamgopts){
+	void Mesh::BuildMetric0(BamgOpts* bamgopts){/*{{{*/
 
 		/*Options*/
@@ -1944,6 +1924,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::BuildMetric1 (Green formula){{{*/
-	void Mesh::BuildMetric1(BamgOpts* bamgopts){
+	void Mesh::BuildMetric1(BamgOpts* bamgopts){/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Metric.cpp/IntersectConsMetric)*/
 
@@ -2237,6 +2216,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::CrackMesh{{{*/
-	void Mesh::CrackMesh(BamgOpts* bamgopts) {
+	void Mesh::CrackMesh(BamgOpts* bamgopts) {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/CrackMesh)*/
 
@@ -2385,6 +2363,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::Echo{{{*/
-	void Mesh::Echo(void) {
+	void Mesh::Echo(void) {/*{{{*/
 
 		int i;
@@ -2409,49 +2386,47 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::ForceBoundary{{{*/
-		void Mesh::ForceBoundary() {
-			/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/ForceBoundary)*/
-
-			long int verbose=2;
-			int k=0;
-			int nbfe=0,nbswp=0,Nbswap=0;
-
-			//display
-			if (verbose > 2) _printf_("   ForceBoundary  nb of edge: " << nbe << "\n");
-
-			//check that there is no triangle with 0 determinant
-			for (int t = 0; t < nbt; t++){
-				if (!triangles[t].det) k++;
-			}
-			if (k!=0) {
-				_error_("there is " << k << " triangles of mes = 0");
-			}
-
-			//Force Edges
-			AdjacentTriangle ta(0,0);
-			for (int i = 0; i < nbe; i++){
-
-				//Force edge i
-				nbswp =  ForceEdge(edges[i][0],edges[i][1],ta);
-				if (nbswp<0) k++;
-				else Nbswap += nbswp;
-
-				if (nbswp) nbfe++;
-				if ( nbswp < 0 && k < 5){
-					_error_("Missing Edge " << i << ", v0=" << GetId(edges[i][0]) << ",v1=" << GetId(edges[i][1]));
-				}
-			}
-
-			if (k!=0) {
-				_error_("There are " << k << " lost edges, the boundary might be crossing");
-			}
-			for (int j=0;j<nbv;j++){
-				Nbswap +=  vertices[j].Optim(1,0);
-			}
-			if (verbose > 3) _printf_("      number of inforced edge = " << nbfe << ", number of swap= " << Nbswap << "\n"); 
-		}
-	/*}}}*/
-	/*FUNCTION Mesh::FindSubDomain{{{*/
-	void Mesh::FindSubDomain(int OutSide) {
+	void Mesh::ForceBoundary() {/*{{{*/
+		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/ForceBoundary)*/
+
+		long int verbose=2;
+		int k=0;
+		int nbfe=0,nbswp=0,Nbswap=0;
+
+		//display
+		if (verbose > 2) _printf_("   ForceBoundary  nb of edge: " << nbe << "\n");
+
+		//check that there is no triangle with 0 determinant
+		for (int t = 0; t < nbt; t++){
+			if (!triangles[t].det) k++;
+		}
+		if (k!=0) {
+			_error_("there is " << k << " triangles of mes = 0");
+		}
+
+		//Force Edges
+		AdjacentTriangle ta(0,0);
+		for (int i = 0; i < nbe; i++){
+
+			//Force edge i
+			nbswp =  ForceEdge(edges[i][0],edges[i][1],ta);
+			if (nbswp<0) k++;
+			else Nbswap += nbswp;
+
+			if (nbswp) nbfe++;
+			if ( nbswp < 0 && k < 5){
+				_error_("Missing Edge " << i << ", v0=" << GetId(edges[i][0]) << ",v1=" << GetId(edges[i][1]));
+			}
+		}
+
+		if (k!=0) {
+			_error_("There are " << k << " lost edges, the boundary might be crossing");
+		}
+		for (int j=0;j<nbv;j++){
+			Nbswap +=  vertices[j].Optim(1,0);
+		}
+		if (verbose > 3) _printf_("      number of inforced edge = " << nbfe << ", number of swap= " << Nbswap << "\n"); 
+	}
+	/*}}}*/
+	void Mesh::FindSubDomain(int OutSide) {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/FindSubDomain)*/
 
@@ -2695,36 +2670,29 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::GetId(const Triangle & t) const{{{*/
-	long Mesh::GetId(const Triangle & t) const  { 
+	long Mesh::GetId(const Triangle & t) const  { /*{{{*/
 		return &t - triangles;
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::GetId(const Triangle * t) const{{{*/
-	long Mesh::GetId(const Triangle * t) const  { 
+	long Mesh::GetId(const Triangle * t) const  { /*{{{*/
 		return t - triangles;
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::GetId(const BamgVertex & t) const{{{*/
-	long Mesh::GetId(const BamgVertex & t) const  { 
+	long Mesh::GetId(const BamgVertex & t) const  { /*{{{*/
 		return &t - vertices;
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::GetId(const BamgVertex * t) const{{{*/
-	long Mesh::GetId(const BamgVertex * t) const  { 
+	long Mesh::GetId(const BamgVertex * t) const  { /*{{{*/
 		return t - vertices;
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::GetId(const Edge & t) const{{{*/
-	long Mesh::GetId(const Edge & t) const  { 
+	long Mesh::GetId(const Edge & t) const  { /*{{{*/
 		return &t - edges;
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::GetId(const Edge * t) const{{{*/
-	long Mesh::GetId(const Edge * t) const  { 
+	long Mesh::GetId(const Edge * t) const  { /*{{{*/
 		return t - edges;
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::Init{{{*/
-	void Mesh::Init(long maxnbv_in) {
+	void Mesh::Init(long maxnbv_in) {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/PreInit)*/
 
@@ -2774,6 +2742,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::Insert{{{*/
-	void Mesh::Insert(bool random) {
+	void Mesh::Insert(bool random) {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/Insert)*/
 
@@ -2907,6 +2874,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::InsertNewPoints{{{*/
-	long Mesh::InsertNewPoints(long nbvold,long & NbTSwap,bool random) {
+	long Mesh::InsertNewPoints(long nbvold,long & NbTSwap,bool random) {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/InsertNewPoints)*/
 
@@ -2985,6 +2951,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::MakeGeomEdgeToEdge{{{*/
-	Edge** Mesh::MakeGeomEdgeToEdge() {
+	Edge** Mesh::MakeGeomEdgeToEdge() {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/MakeGeomEdgeToEdge)*/
 
@@ -3028,6 +2993,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::MakeQuadrangles{{{*/
-	void Mesh::MakeQuadrangles(double costheta){
+	void Mesh::MakeQuadrangles(double costheta){/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/MakeQuadrangles)*/
 
@@ -3070,17 +3034,14 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::MakeBamgQuadtree{{{*/
-	void Mesh::MakeBamgQuadtree() {  
+	void Mesh::MakeBamgQuadtree() {  /*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/MakeBamgQuadtree)*/
 		if(!quadtree) quadtree = new BamgQuadtree(this);
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::MaxinalHmax{{{*/
-	double Mesh::MaximalHmax() {
+	double Mesh::MaximalHmax() {/*{{{*/
 		return Max(pmax.x-pmin.x,pmax.y-pmin.y);
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::MaxSubDivision{{{*/
-	void  Mesh::MaxSubDivision(double maxsubdiv) {
+	void  Mesh::MaxSubDivision(double maxsubdiv) {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Metric.cpp/MaxSubDivision)*/
 
@@ -3135,6 +3096,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::MetricAt{{{*/
-	Metric Mesh::MetricAt(const R2 & A) const { 
+	Metric Mesh::MetricAt(const R2 & A) const { /*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/MetricAt)*/
 
@@ -3156,17 +3116,14 @@
 	}
 	/*}}}*/
-	/*FUNCTION Mesh::MininalHmin{{{*/
-	double Mesh::MinimalHmin() {
+	double Mesh::MinimalHmin() {/*{{{*/
 		return 2.0/coefIcoor;
 	}
 	/*}}}*/
-/*FUNCTION Mesh::NearestVertex{{{*/
-BamgVertex* Mesh::NearestVertex(Icoor1 i,Icoor1 j) {
-	/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/NearestVertex)*/
-	return  quadtree->NearestVertex(i,j); 
-} 
-/*}}}*/
-	/*FUNCTION Mesh::NewPoints{{{*/
-	void  Mesh::NewPoints(Mesh & Bh,BamgOpts* bamgopts,int KeepVertices){
+	BamgVertex* Mesh::NearestVertex(Icoor1 i,Icoor1 j) {/*{{{*/
+		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/NearestVertex)*/
+		return  quadtree->NearestVertex(i,j); 
+	} 
+	/*}}}*/
+	void  Mesh::NewPoints(Mesh & Bh,BamgOpts* bamgopts,int KeepVertices){/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/NewPoints)*/
 
@@ -3249,6 +3206,6 @@
 					lIntTria.SplitEdge(Bh,A,B);
 					lIntTria.NewPoints(vertices,nbv,maxnbv);
-				  } // end loop for each edge 
-			  }// for triangle   
+				} // end loop for each edge 
+			}// for triangle   
 
 			if (!InsertNewPoints(nbvold,NbTSwap,bamgopts->random)) break;
@@ -3281,6 +3238,5 @@
 		for(i=0;i<nbv;i++) NbSwapf += vertices[i].Optim(0);
 	}/*}}}*/
-	/*FUNCTION Mesh::ProjectOnCurve{{{*/
-	GeomEdge*   Mesh::ProjectOnCurve( Edge & BhAB, BamgVertex &  vA, BamgVertex & vB,
+	GeomEdge*   Mesh::ProjectOnCurve( Edge & BhAB, BamgVertex &  vA, BamgVertex & vB,/*{{{*/
 				double theta,BamgVertex & R,VertexOnEdge &  BR,VertexOnGeom & GR) {
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, MeshQuad.cpp/ProjectOnCurve)*/
@@ -3343,5 +3299,5 @@
 		else{ // do the search by walking 
 			_error_("case not supported yet");
-		  }
+		}
 
 		// find the direction of walking with direction of edge and pA,PB;
@@ -3381,6 +3337,6 @@
 					BR = VertexOnEdge(&R,eee,thetab);
 					return  Gh.ProjectOnCurve(*eee,thetab,R,GR);
-				  }
-			  }
+				}
+			}
 			// we find the end 
 			if (v1 != pvB){
